{ pkgs, ... }:
{
  # On active Docker.
  virtualisation.docker.enable = true;

  docker-containers.database = {
    image = "postgres:11-alpine";
    volumes = [ "postgres-data-example:/var/lib/postgresql/data" ];
    environment = {
      POSTGRES_PASSWORD = "secret";
      POSTGRES_USER = "test";
      POSTGRES_DATABASE = "esgi";
    };
  };
}
